/*
Theme Name: Patrick Child
Description: Patrick Child Theme
Author: Diocesan
Author URI: https://diocesan.com
Template: patrick
Version: 1.0.0
*/

/* Add your custom styles here */

/* @media screen and (max-width: 900px) {
    .ministry-slider .ministry-group .slick-list .ministry-wrapper .ministry-image-wrapper .teaser-img {
    	height: auto;
    }
} */

:root {
	--topbar-height: calc(1rem + 0.75rem + 0.75rem);
	--header-height: calc(var(--max-logo-height) + var(--topbar-height) + 2.5rem);
}

:root:has(#wpadminbar) {
	@media screen and (max-width: 768px) {
		--wp-admin-bar-height: 46px;
	}
	
	--wp-admin-bar-height: 32px;
}

.site-header {
	padding-top: var(--wp-admin-bar-height, 0px);
	
	&.sticky {
		padding-top: 0;
	}
	
	.header-nav {
		padding-top: 1rem;
	}
	
	#site-navigation {
		display: flex !important;
	}
}

#quicklinks-wrapper {
	background: var(--clr-primary);
	color: white;
	padding-inline: 1.5rem;
	
	#quicklinks {
		list-style: none;
		padding: 0;
		margin: 0;
		display: flex;
		flex-direction: row;
		justify-content: flex-end;
		gap: 2.5rem;
		padding-left: 4rem;
		padding-right: 4rem;
		text-transform: uppercase;
		
		.menu-item {
			padding-block: 0.75rem;
			position: relative;
			
			a {
				line-height: 1.25rem;
				font-weight: 700;
				font-size: 0.875rem;
				color: white;
				text-decoration: none;
				transition: color 0.4s ease;
				
				&:hover {
					color: var(--clr-secondary);
				}
			}
			
			&::after {
				position: absolute;
				top: 0px;
				bottom: 0px;
				right: -1.25rem;
				width: 1px;
				background-color: var(--clr-secondary);
				content: '';
			}
		}
	}
}